
Foreman - Bug #817

puppet classe names and ambiguity

04/01/2011 10:04 AM - David Bristow

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When you have a puppet class which is a simple name (basenode, for example) and you also have classes with scoping (ntp::ntp, for

example) there is no distinction in the puppet class list between these two.  The plus sign shows the same for both.  When you

actually click on the plus sign, it shows in the list of active classes in the correct way, but until you click on the plus sign, you can't tell

the difference.

Associated revisions

Revision 67459a13 - 05/02/2011 04:31 AM - Ohad Levy

fixes #817 - puppet classe names and ambiguity

History

#1 - 04/01/2011 03:31 PM - Ohad Levy

- Status changed from New to Duplicate

#2 - 04/01/2011 03:35 PM - Ohad Levy

- Status changed from Duplicate to New

flagged the wrong ticket, sorry about that..

#3 - 04/01/2011 03:40 PM - Ohad Levy

- Status changed from New to Feedback

so you would like always to see the full class name?

any other ideas of how to represent that?

#4 - 04/01/2011 04:21 PM - David Bristow

It should say "+ name1" or "+ name1::name2"

#5 - 04/01/2011 04:33 PM - Ohad Levy

David Bristow wrote:

It should say "+ name1" or "+ name1::name2"

 not sure I follow, lets say you have ntp, ntp::ntp and ntp::disable classes

do you want to see?

+ ntp

+ ntp::ntp

+ ntp::disable
#6 - 04/02/2011 04:41 PM - David Bristow

Yes, that's exactly what I'd want.

#7 - 04/12/2011 03:59 PM - Ohad Levy

- Category set to Web Interface

- Status changed from Feedback to New

- Target version set to 0.3

#8 - 05/02/2011 04:31 AM - Ohad Levy

- Assignee set to Ohad Levy

#9 - 05/02/2011 04:31 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 67459a134135ce555c3b7b871a4417b49133f329.

#10 - 05/02/2011 04:31 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Powered by TCPDF (www.tcpdf.org)

05/12/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/67459a134135ce555c3b7b871a4417b49133f329
http://www.tcpdf.org

